Subject: bug#8071: Please rename automake invocation node

From: Stefano Lattarini <[email-masked]>
Date: Fri, 30 Dec 2011 15:07:26 +0100

On 12/30/2011 02:59 PM, Eric Blake wrote:
> On 12/28/2011 12:33 PM, Stefano Lattarini wrote:
>> -
>> -@node Invoking Automake
>> +@c The anchor is required to avoid breaking existing web hyperlinks
>> +@c still using the old name of this node.
>> +@anchor{Invoking automake}
>> +@node automake Invocation
>>  @chapter Creating a @file{Makefile.in}
> 
> Autoconf has this example:
> 
> @node Specifying Target Triplets
> @section Specifying target triplets
> @cindex System type
> @cindex Target triplet
> @c This node used to be named Specifying Names.  The @anchor allows old
> @c links to still work.
> @anchor{Specifying Names}
>
I'll happily accept a patch to have the automake manual follow the
autoconf one's lead (or I'll end up writing it myself if no one is
so kind to beat me at that :-)

> I'm not sure if putting the @anchor after the @node make a difference.
> If the anchor takes the old name to the previous node, then we may want
> to move the anchor to appear after the @node.
> 
It's a pity that, with the current infrastructure, there now is viable way
to test how a change done in the git repository will reflect on the
on-line manual :-(

Thanks,
  Stefano